/**
 * 数値配列をフィルタリングする
 * @param {Array.<number>} arr 数値の配列.
 * @param {function(number): boolean} f 引数に
 *     数値を受け取り真偽値を返す関数.
 * @return {Array.<number>} フィルタが適用された配列.
 */
function filter(arr, f) {
    var ret = [], value;
    for (var i = 0, len = arr.length; i < len; i++) {
        value = arr[i];
        if (f(value)) {
            ret.push(value);
        }
    }
    return ret;
}

var arr = [1, 2, 3, 4, 5];
filter(arr, function(n) {
    return n > 3;
});
filter(arr, function(n) {
    // 型情報にマッチしない返り値
    return n;
});
