#!/bin/sh

WARNINGS=\
$(java -jar compiler/compiler.jar --js js/vendor/require.js \
                         --js js/vendor/jquery-1.8.3.js \
                         --js js/component.js \
                         --js js/config.js \
                         --js js/page.js \
                         --js js/util.js \
                         --warning_level VERBOSE \
                         --jscomp_warning undefinedVars \
                         2>&1 1>/dev/null \
                         | grep WARNING)
# js/vendor以外の警告をエラーとして取得
ERROR_WARNINGS=$(echo "$WARNINGS" | grep -v js/vendor)
ERROR_COUNT=$(echo "$ERROR_WARNINGS" | sed '/^$/d' | wc -l)

if [ $ERROR_COUNT -gt 0 ]; then
  # エラーとして扱う警告があった場合は異常終了
  echo "$ERROR_WARNINGS"
  exit 1
fi
