// （1）依存関係の定義
define(['config', 'util'], function(config, util) {
    // （2）要素にフォーマットした時刻を表示するプライベート関数
    function display(elem) {
        var text = util.formatDate(new Date(), config.format);
        if (typeof elem.innerText === 'string') {
            // IE8以下対応
            elem.innerText = text;
        } else {
            elem.textContent = text;
        }
    }

    // 時刻表示を毎秒更新する関数
    function render(elem) {
        display(elem);
        setInterval(function() {
            display(elem);
        }, 1000);
    }

    // render関数の公開
    return {
        render: render
    };
});
